aboutsummaryrefslogtreecommitdiffstats
path: root/moon-abe/pbc-0.5.14/test
diff options
context:
space:
mode:
authorWuKong <rebirthmonkey@gmail.com>2015-09-04 09:25:34 +0200
committerWuKong <rebirthmonkey@gmail.com>2015-09-04 09:25:34 +0200
commit3baeb11a8fbcfcdbc31976d421f17b85503b3ecd (patch)
tree04891d88c1127148f1b390b5a24414e85b270aee /moon-abe/pbc-0.5.14/test
parent67c5b73910f5fc437429c356978081b252a59480 (diff)
init attribute-based encryption
Change-Id: Iba1a3d722110abf747a0fba366f3ebc911d25b25
Diffstat (limited to 'moon-abe/pbc-0.5.14/test')
-rw-r--r--moon-abe/pbc-0.5.14/test24
1 files changed, 24 insertions, 0 deletions
diff --git a/moon-abe/pbc-0.5.14/test b/moon-abe/pbc-0.5.14/test
new file mode 100644
index 00000000..96cb1a09
--- /dev/null
+++ b/moon-abe/pbc-0.5.14/test
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+function show_result() {
+ red=$'\e'"[31m"
+ green=$'\e'"[32;1m"
+ normal=$'\e'"[0m"
+ if [[ $1 != 0 ]]; then
+ echo $red"[FAILED]"$normal $t
+ else
+ echo $green"[PASSED]"$normal $t
+ fi
+}
+
+make test
+make pbc/pbc
+for t in pbc/pairing_test.pbc pbc/g2_test.pbc pbc/bilinear.test ; do
+ pbc/pbc $t > /dev/null
+ show_result $?
+done
+
+for t in guru/fp_test guru/quadratic_test guru/poly_test guru/prodpairing_test guru/ternary_extension_field_test guru/eta_T_3_test ; do
+ $t > /dev/null
+ show_result $?
+done